Package weka.gui.beans

# Interface GOECustomizer

All Superinterfaces:
  `BeanCustomizer`, `Customizer`

All Known Implementing Classes:
  `AddUserFieldsCustomizer`

public interface GOECustomizer extends BeanCustomizer
Extends BeanCustomizer. Exists primarily for those customizers that can be displayed in the GenericObjectEditor (in preference to individual property editors). Provides a method to tell the customizer not to show any OK and CANCEL buttons if being displayed in the GOE (since the GOE provides those). Also specifies the methods for handling closing under OK or CANCEL conditions. Implementers of this interface should *not* use the GOE internally to implement the customizer because this will result in an cyclic loop of initializations that will end up in a stack overflow when the customizer is displayed by the GOE at the top level.

Version:
  $Revision: 8034 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface weka.gui.beans.BeanCustomizer

  `BeanCustomizer.ModifyListener`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `closingCancel()`
  Gets called when the customizer is closing under a CANCEL condition
  `void`
  `closingOK()`
  Gets called when the customizer is closing under an OK condition
  `void`
  `dontShowOKCancelButtons()`
  Tells the customizer not to display its own OK and CANCEL buttons

  ### Methods inherited from interface weka.gui.beans.BeanCustomizer

  `setModifiedListener`

  ### Methods inherited from interface java.beans.Customizer

  `addPropertyChangeListener, removePropertyChangeListener, setObject`

- ## Method Details

  - ### dontShowOKCancelButtons

    void dontShowOKCancelButtons()
    Tells the customizer not to display its own OK and CANCEL buttons

  - ### closingOK

    void closingOK()
    Gets called when the customizer is closing under an OK condition

  - ### closingCancel

    void closingCancel()
    Gets called when the customizer is closing under a CANCEL condition